obexftp_client_t Struct Reference

`#include <client.h>`

## Data Fields

obex_t * | obexhandle
uint32_t | connection_id
obex_ctrans_t * | ctrans
int | transport
int | finished
int | success
int | obex_rsp
int | mutex
int | quirks
obexftp_info_cb_t | infocb
void * | infocb_data
int | fd
uint8_t * | stream_chunk
uint32_t | out_size
uint32_t | out_pos
const uint8_t * | out_data
char * | target_fn
uint32_t | buf_size
char * | buf_data
uint32_t | apparam_info
cache_object_t * | cache
int | cache_timeout
int | cache_maxsize
int | accept_timeout

## Field Documentation

## accept_timeout

int obexftp_client_t::accept_timeout

## apparam_info

uint32_t obexftp_client_t::apparam_info

## buf_data

char* obexftp_client_t::buf_data

## buf_size

uint32_t obexftp_client_t::buf_size

## cache

cache_object_t* obexftp_client_t::cache

## cache_maxsize

int obexftp_client_t::cache_maxsize

## cache_timeout

int obexftp_client_t::cache_timeout

## connection_id

uint32_t obexftp_client_t::connection_id

## ctrans

obex_ctrans_t* obexftp_client_t::ctrans

## fd

int obexftp_client_t::fd

## finished

int obexftp_client_t::finished

## infocb

obexftp_info_cb_t obexftp_client_t::infocb

## infocb_data

void* obexftp_client_t::infocb_data

## mutex

int obexftp_client_t::mutex

## obex_rsp

int obexftp_client_t::obex_rsp

## obexhandle

obex_t* obexftp_client_t::obexhandle

## out_data

const uint8_t* obexftp_client_t::out_data

## out_pos

uint32_t obexftp_client_t::out_pos

## out_size

uint32_t obexftp_client_t::out_size

## quirks

int obexftp_client_t::quirks

## stream_chunk

uint8_t* obexftp_client_t::stream_chunk

## success

int obexftp_client_t::success

## target_fn

char* obexftp_client_t::target_fn

## transport

int obexftp_client_t::transport

The documentation for this struct was generated from the following file:

- obexftp/client.h